Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema
Class XmlSchemaImport

    java.lang.Object
      org.apache.ws.commons.schema.XmlSchemaObject
          org.apache.ws.commons.schema.XmlSchemaAnnotated
              org.apache.ws.commons.schema.XmlSchemaExternal
                  org.apache.ws.commons.schema.XmlSchemaImport

    public class XmlSchemaImport

extends XmlSchemaExternal

The class to import schema components from any schema. Represents the World Wide Web Consortium (W3C) import element.

Field Summary

Fields inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`unhandledAttributes`

Constructor Summary
`XmlSchemaImport()` Creates new XmlSchemaImport

Method Summary
`java.lang.String` | `getNamespace()`
`void` | `setNamespace(java.lang.String namespace)`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaExternal
`getSchema, getSchemaLocation, setSchema, setSchemaLocation`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`getAnnotation, getId, getUnhandledAttributes, setAnnotation, setId, setUnhandledAttributes, toString`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaObject
`addMetaInfo, equals, getLineNumber, getLinePosition, getMetaInfoMap, getSourceURI, setLineNumber, setLinePosition, setMetaInfoMap, setSourceURI, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlSchemaImport

    public XmlSchemaImport()

  Creates new XmlSchemaImport

Method Detail

### getNamespace

    public java.lang.String getNamespace()

### setNamespace

    public void setNamespace(java.lang.String namespace)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.